#!/bin/sh
#
# $MidnightBSD: mports/security/tor/files/tor.in,v 1.2 2008/03/26 01:54:17 laffer1 Exp $
# $FreeBSD: ports/security/tor/files/tor.in,v 1.4 2008/03/20 23:31:05 miwi Exp $
#
# PROVIDE: tor
# REQUIRE: NETWORKING SERVERS USR
# BEFORE: LOGIN
#
# Add the following lines to /etc/rc.conf to enable tor.
# All these options will overide any settings in your local torrc as
# they are command line options.
#
# tor_enable (bool):	Set to "NO" by default
#			Set it to "YES" to enable tor
# tor_conf (str):	Points to your tor conf file
#			Default: /usr/local/etc/tor/torrc
# tor_user (str):	Tor Daemon user. Default _tor
# tor_group (str):	Tor Daemon group. Default _tor
# tor_datadir (str):	Tor DataDir.  Defaults /var/db/tor
# tor_logfile (str):	Tor Log File.  Defaults /var/log/tor
#

. /etc/rc.subr

name="tor"
rcvar=${name}_enable

load_rc_config ${name}

: ${tor_enable="NO"}
: ${tor_conf="/usr/local/etc/tor/torrc"}
: ${tor_user="_tor"}
: ${tor_group="_tor"}
: ${tor_pidfile="/var/run/tor/tor.pid"}
: ${tor_logfile="/var/log/tor"}
: ${tor_datadir="/var/db/tor"}

required_files=${tor_conf}
required_dirs=${tor_datadir}
pidfile=${tor_pidfile}
command="/usr/local/bin/${name}"
command_args="-f ${tor_conf} --PidFile ${tor_pidfile} --RunAsDaemon 1 --DataDirectory ${tor_datadir} --User ${tor_user} --Group ${tor_group} --Log notice\ file\ ${tor_logfile}"
extra_commands="log"
log_cmd="${name}_log"

tor_log() {
	cat ${tor_logfile}
}

run_rc_command "$1"

